package cn.ezhizao.project.business.accountAdjustment.service.impl;

import javax.annotation.Resource;
import cn.ezhizao.project.business.accountAdjustment.domain.BizFinancialAccountAdjustment;
import cn.ezhizao.project.business.accountAdjustment.mapper.BizFinancialAccountAdjustmentMapper;
import cn.ezhizao.project.business.accountAdjustment.service.BizFinancialAccountAdjustmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizBizFinancialAccountAdjustmentServiceImpl extends ServiceImpl<BizFinancialAccountAdjustmentMapper, BizFinancialAccountAdjustment> implements BizFinancialAccountAdjustmentService {

    @Resource
    BizFinancialAccountAdjustmentMapper financialAccountAdjustmentDao;

    @Override
    public List<BizFinancialAccountAdjustment> getList(Map<String,Object> conditions) {
        return financialAccountAdjustmentDao.getList(conditions);
    }

    @Override
    public List<BizFinancialAccountAdjustment> getListByBean(BizFinancialAccountAdjustment financialAccountAdjustment) {
        return financialAccountAdjustmentDao.getList(financialAccountAdjustment);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return financialAccountAdjustmentDao.getTotal(conditions);
    }

    @Override
    public List<BizFinancialAccountAdjustment> getOldData() {
        return financialAccountAdjustmentDao.getOldData();
    }
    @Override
    public int clear() {
        return financialAccountAdjustmentDao.clear();
    }
}
